net.sf.statcvs.model

## Class Module

- java.lang.Object
- - net.sf.statcvs.model.Module

- All Implemented Interfaces:
    java.lang.Comparable

      public class Module
      extends java.lang.Object
      implements java.lang.Comparable

  Author:
    Benoit

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Module(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFile(VersionedFile vf)`
    `int` | `compareTo(java.lang.Object mod)`
    `int` | `getCurrentLinesOfCode()`
    `java.util.SortedSet` | `getFiles()`
    `java.lang.String` | `getName()`
    `java.util.SortedSet` | `getRevisions()` Returns all `Revision`s to files in this directory, in order from oldest to most recent.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Module

          public Module(java.lang.String name)

  - ### Method Detail

    - #### addFile

          public void addFile(VersionedFile vf)

    - #### getCurrentLinesOfCode

          public int getCurrentLinesOfCode()

    - #### getRevisions

          public java.util.SortedSet getRevisions()

      Returns all `Revision`s to files in this directory, in order from oldest to most recent.
      Returns:
        list of `Revision`s for this directory

    - #### compareTo

          public int compareTo(java.lang.Object mod)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### getName

          public java.lang.String getName()

    - #### getFiles

          public java.util.SortedSet getFiles()